import React, { useEffect, useState } from "react"

const roomStateData = {
  loading: { text: "lade…", color: "white" },
  open: { text: "OFFEN", color: "forestgreen" },
  closed: { text: "GESCHLOSSEN", color: "firebrick" },
}

export default () => {
  const [openState, setOpenState] = useState("loading")

  useEffect(() => {
    async function fetchState() {
      const response = await fetch("https://status.ctdo.de/api/simple/v2")
      const json = await response.json()
      setOpenState(json.state ? "open" : "closed")
    }
    fetchState()
  }, [])

  return (
    <h2>
      Raumstatus:{" "}
      <span style={{ color: roomStateData[openState].color }}>
        {roomStateData[openState].text}
      </span>
    </h2>
  )
}
